Get List Transaction Transfer

Using this method, Operator sends a Get Transaction History request to the Naga Games to get a list of transaction records made by their players during a period of time.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
🚧

Read Me First!

Operator should check input data and generate X-Signature upon on input data.
Refer ➡️ How to generate signature for Transfer mode?

Data is processed by Operator must be the same with data from Naga Games (order and number of data fields). Operator have to follow the order of data fields to verify this one (as difference data generate difference signature).

Refer ➡️ Data Order before Stringify & Hashing

/* JAVASCRIPT EXAMPLE */

// Example for payload data
{
  "brandCode":"srot",
  "groupCode":"dpae",
  "limit": 10,
  "page":1,
  "startDate": "2023-07-21T00:00:00.000Z",
  "endDate":"2023-07-21T08:30:00.000Z",
  "type":"DEPOSIT", // Optional
  "nativeTransactionId": "abc" // Optional
  "status": "SUCCEED" // Optional
}
//To ensure accurate results when using this API.
//The operator must create an instance of the generateSignatureExample() function. 
//Prior to employing the API, it is necessary to generate the signature using the newly implemented function since it provides a guaranteed output and response.
const signature = generateSignatureExample(payload);

Request

API URL : {NagaGamesAPIDomain}/operator/transfer/transactions
HTTP Method : GET

Header Parameter:

  • X-Signature (String) - Required
    Must be generated from signing process with correct order of data fields & secretKey.

Body Parameters:

  • data (JSON)
    must contain all fields below.
Parameter NameDescriptionData typeRequired
brandCodeUnique code name of a brandStringYes
groupCodeUnique code name of a groupStringYes
limitLimit on the number of records on 1 pageIntegerYes
pagePage = 1 => to put limit on the number of records on 1 pageIntegerYes
startDateThe date from which operators want to view the transaction historyDateYes
endDateThe date to which operators want to view the transaction historyDateYes
typeType of TransactionStringOptional
nativeTransactionIdFilter by nativeTransactionIdStringOptional
statusFilter by status (SUCCEED, FAILED)StringOptional

Example

curl --request GET \
     --url 'https://api.stg.game.topplatform.online/operator/transfer/transactions?brandCode=srot&groupCode=dpae&limit=10&page=1&startDate=2023-07-21T00%253A00%253A00.000Z&endDate=2023-07-21T08%253A30%253A00.000Z' \
     --header 'accept: application/json' \
     --header 'x-signature: 3315ec858f4cf23af6878fe2d495a35663c3b3de3b32ef9e89b2dc21748ecbf4'

Response

Data Response

NameDescriptionData type
amountAmount of the transactionDecimal
(20,2)
brand.idThe unique identifier of the brand transaction recordString (length: 36)
brand.codeAuto-generated code of the brand in Naga Games’s databaseString (length: 4)
group.idThe unique identifier of the group transaction recordString (length: 36)
group.codeAuto-generated code of the group in Naga Games’s databaseString (length: 4)
createdThe date and time when the record was createdDateTime
currency.idThe unique identifier of the currency codeString (length: 36)
currency.codeThe three character unique identifier of the currencyString (length: 4)
idThe unique identifier of the transaction recordString (length: 36)
nativeTransactionIdThe unique identifier of the native transaction recordString (length: 255)
player.idUnique Identifier of the player in Naga Games SystemString (length: 36)
player.nativeIdNative Identifier of the player in Operator’s systemString (length: 255)
statusStatus of the transaction:
  • SUCCEED
  • FAILED
String
typeType of the transaction:
  • DEPOSIT
  • WITHDRAW
String
pagePage = 1 => to put limit on the number of records on 1 pageInteger
sizeThe number of records on 1 pageInteger
pageCountThe total number of pages of recordsInteger
totalThe total number of recordsInteger

Example

Success Response Example (HTTP status code 200)

{
  "data": [
    {
      "amount": 800,
      "brand": {
        "id": "2f740d6a-35dc-461d-a415-a927e342407a",
        "code": "srot"
      },
      "group": {
        "id": "81540e1e-dc99-40a7-a1fb-70d6c05de26d",
        "code": "dpae"
      },
      "created": "2023-07-21T08:29:43.993Z",
      "currency": {
        "id": "727d3d98-6294-bf23-a4ad-963f5b06bf74",
        "code": "THB"
      },
      "id": "a7b6e8c4-5aaf-7583-216d-8fb60515fbf2",
      "nativeTransactionId": "06451e6a-a373-4336-88c1-30d469b78e53",
      "player": {
        "id": "0cbe1a1b-e3fb-4d9f-946c-3f7b0ccc0eb0",
        "nativeId": "player_transfer_02"
      },
      "status": "SUCCEED",
      "type": "WITHDRAW",
      "wallet": {
        "id": "c87a009a-6b14-4830-9338-51f1158f3993",
        "balance": 300
      }
    },
    {
      "amount": 500,
      "brand": {
        "id": "2f740d6a-35dc-461d-a415-a927e342407a",
        "code": "srot"
      },
      "group": {
        "id": "81540e1e-dc99-40a7-a1fb-70d6c05de26d",
        "code": "dpae"
      },
      "created": "2023-07-21T08:29:33.804Z",
      "currency": {
        "id": "727d3d98-6294-bf23-a4ad-963f5b06bf74",
        "code": "THB"
      },
      "id": "f5101eec-d193-1be1-d172-3112be8500b0",
      "nativeTransactionId": "ab513171-be55-4bbb-8cf3-d7937fb43f9b",
      "player": {
        "id": "50784686-4e24-4607-b125-9e7cc20a0148",
        "nativeId": "player_transfer_01"
      },
      "status": "SUCCEED",
      "type": "WITHDRAW",
      "wallet": {
        "id": "26729ffd-a63d-4fc3-9660-61ce360ed611",
        "balance": 500
      }
    },
    {
      "amount": 1100,
      "brand": {
        "id": "2f740d6a-35dc-461d-a415-a927e342407a",
        "code": "srot"
      },
      "group": {
        "id": "81540e1e-dc99-40a7-a1fb-70d6c05de26d",
        "code": "dpae"
      },
      "created": "2023-07-21T08:29:18.397Z",
      "currency": {
        "id": "727d3d98-6294-bf23-a4ad-963f5b06bf74",
        "code": "THB"
      },
      "id": "6f1759fd-1c41-06c5-ea1a-23dc724710f2",
      "nativeTransactionId": "ef680689-0c37-4648-8537-9e75662f0fd6",
      "player": {
        "id": "0cbe1a1b-e3fb-4d9f-946c-3f7b0ccc0eb0",
        "nativeId": "player_transfer_02"
      },
      "status": "SUCCEED",
      "type": "DEPOSIT",
      "wallet": {
        "id": "c87a009a-6b14-4830-9338-51f1158f3993",
        "balance": 1100
      }
    },
    {
      "type": "CREATE_PLAYER",
      "brand": {
        "id": "2f740d6a-35dc-461d-a415-a927e342407a",
        "code": "srot"
      },
      "group": {
        "id": "81540e1e-dc99-40a7-a1fb-70d6c05de26d",
        "code": "dpae"
      },
      "created": "2023-07-21T08:29:09.087Z",
      "currency": {
        "id": "727d3d98-6294-bf23-a4ad-963f5b06bf74",
        "code": "THB"
      },
      "id": "55f71b49-b3a6-410f-e5da-0eeb85457502",
      "player": {
        "id": "0cbe1a1b-e3fb-4d9f-946c-3f7b0ccc0eb0",
        "nativeId": "0cbe1a1b-e3fb-4d9f-946c-3f7b0ccc0eb0"
      },
      "status": "SUCCEED",
      "wallet": {
        "id": "c87a009a-6b14-4830-9338-51f1158f3993",
        "balance": 0
      }
    },
    {
      "amount": 1000,
      "brand": {
        "id": "2f740d6a-35dc-461d-a415-a927e342407a",
        "code": "srot"
      },
      "group": {
        "id": "81540e1e-dc99-40a7-a1fb-70d6c05de26d",
        "code": "dpae"
      },
      "created": "2023-07-21T08:09:28.267Z",
      "currency": {
        "id": "727d3d98-6294-bf23-a4ad-963f5b06bf74",
        "code": "THB"
      },
      "id": "d51dd942-fc93-20ab-29f3-6f00a43589c3",
      "nativeTransactionId": "d93b49c8-bd90-42eb-bbab-5697171b704a",
      "player": {
        "id": "50784686-4e24-4607-b125-9e7cc20a0148",
        "nativeId": "player_transfer_01"
      },
      "status": "SUCCEED",
      "type": "DEPOSIT",
      "wallet": {
        "id": "26729ffd-a63d-4fc3-9660-61ce360ed611",
        "balance": 1000
      }
    },
    {
      "type": "CREATE_PLAYER",
      "brand": {
        "id": "2f740d6a-35dc-461d-a415-a927e342407a",
        "code": "srot"
      },
      "group": {
        "id": "81540e1e-dc99-40a7-a1fb-70d6c05de26d",
        "code": "dpae"
      },
      "created": "2023-07-21T08:09:14.390Z",
      "currency": {
        "id": "727d3d98-6294-bf23-a4ad-963f5b06bf74",
        "code": "THB"
      },
      "id": "56de03dc-27d0-ec62-881d-6ac0d126dba3",
      "player": {
        "id": "50784686-4e24-4607-b125-9e7cc20a0148",
        "nativeId": "50784686-4e24-4607-b125-9e7cc20a0148"
      },
      "status": "SUCCEED",
      "wallet": {
        "id": "26729ffd-a63d-4fc3-9660-61ce360ed611",
        "balance": 0
      }
    }
  ],
  "page": 1,
  "size": 10,
  "pageCount": 1,
  "total": 6
}

Failure Response Example (HTTP status code 400)

{
    "message": "Group Not Found",
    "code": 1200,
    "timestamp": "2023-05-10T09:18:58.965Z"
}
Query Params
string
required
Defaults to srot

Auto-generated code of the brand in Naga’s database

string
required
Defaults to dpae

Auto-generated code of the group in Naga’s database

int32
required
Defaults to 10

Limit on the number of records on 1 page

int32
required
Defaults to 1

Page = 1 => to put limit on the number of records on 1 page

date
required
Defaults to 2023-07-21T00%3A00%3A00.000Z

The date from which operators want to view the transaction history

date
required
Defaults to 2023-07-21T08%3A30%3A00.000Z

The date to which operators want to view the transaction history

string
enum
Defaults to DEPOSIT
Allowed:
Headers
string
required
Defaults to 3315ec858f4cf23af6878fe2d495a35663c3b3de3b32ef9e89b2dc21748ecbf4
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json